> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get associations for a CRM object

> Use this endpoint to get the IDs of CRM objects associated with a given object, based on the specified association type. Check out the table on the CRM Associations Overview for a full list of IDs. Use cases for this endpoint: To get the ticket IDs for all tickets associated with a specific contact record, the objectId would be the contact vid, and the definitionId would be 15. To get all companies associated with a specific ticket record, the objectId would be the objectId of the ticket, and the definitionId would be 26.



## OpenAPI

````yaml specs/legacy/v1/crm-associations-v1.json GET /crm-associations/v1/associations/{objectId}/HUBSPOT_DEFINED/{definitionId}
openapi: 3.0.0
info:
  title: CRM Associations API v1
  version: 1.0.0
  description: Legacy CRM Associations API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-associations/v1/associations/{objectId}/HUBSPOT_DEFINED/{definitionId}:
    get:
      summary: Get associations for a CRM object
      description: >-
        Use this endpoint to get the IDs of CRM objects associated with a given
        object, based on the specified association type. Check out the table on
        the CRM Associations Overview for a full list of IDs. Use cases for this
        endpoint: To get the ticket IDs for all tickets associated with a
        specific contact record, the objectId would be the contact vid, and the
        definitionId would be 15. To get all companies associated with a
        specific ticket record, the objectId would be the objectId of the
        ticket, and the definitionId would be 26.
      operationId: getcrmassociationsv1associationsobjectIdHUBSPOTDEFINEDdefinitionId
      parameters:
        - name: objectId
          in: path
          required: true
          description: The ID of the object that you want to get the associations for.
          schema:
            type: string
        - name: definitionId
          in: path
          required: true
          description: >-
            The ID of the type of associations you want. See [the table on the
            overview
            page](https://developers.hubspot.com/docs/guides/api/crm/associations/associations-v4)
            for a list of these IDs.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: >-
            The number of associations to return in a single response. Defaults
            to 10 if the parameter is not included, supports a maximum value of
            100.
          schema:
            type: string
        - name: offset
          in: query
          required: false
          description: >-
            Used to page through the results. Each response will include an
            `offset`, which can be used to get the next set of results in the
            next request.
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successful response - Use this endpoint to get the IDs of CRM
            objects associated with a given object, based on the specified
            association type
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get associations for a CRM object - Example 1
                  value:
                    - results:
                        - 259674
                        - 259727
                      hasMore: false
                      offset: 259727
                    - results:
                        - 184896670
                      hasMore: false
                      offset: 184896670

````